QD-CONFIGG(1)

NAME
qd-config - determine flags for compilation and linking

SYNOPSIS
qd-config [options]

DESCRIPTION

To link a Fortran-90 program with the C++ qd library, it is recommended to link with the C++ compiler used to generate the library. The Fortran 90 interface (along with a C-style main function calling f_main) is found in the qdmod library. The qd-config script can be used to determine which flags to pass to compile and link your programs.

OPTIONS

--src
    Switch between source and system location.

--prefix
    Output configured prefix value.

--exec-prefix
    Output configured exec_prefix value.

--build-flags
    Compiler options used during build.

--build-libs
    Linker options used during build.

--configure-args
    Configure arguments used for build.

--cxx
    C++ compiler.

--cflags
    C++ preprocessor and compiler options.

--cxxflags
    C++ compiler options.

--libs-la
    C++ linker options and libtool archive location.

--libs
    C++ linker options.

--fc
    Fortran compiler.

--fcflags
    Fortran compiler options.

--fclibs
    Fortran linker options.

--fmainlib
    C++ linker options for main program written in Fortran.

--version
    Output version.

AUTHOR
This manual page was written by Daniel Leidert <daniel.leidert@wgdd.de> for the Debian project (but may be used by others).